Skip to navigation

Get department metrics data.

View as Markdown
Retrieves department data metrics from the metrics database. Use in reporting and analysis tools.

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

departmentIdstringRequiredformat: ".*"
The id of the department.

Query parameters

metricTypelist of enumsRequired
Specify which data to request.
startdatetimeRequired
Start date of time range to fetch data in ISO 8601 timestamp format.
enddatetimeRequired
End date of time range to fetch data in ISO 8601 timestamp format.
numberOfSamplesintegerOptional0-1000Defaults to 20
The number of samples to take in the specified time range.
nodepoolNamestringOptional
Filter using the nodepool.
groupByenumOptional

Field to group the metrics data by. Currently only supported for WORKLOADS_COUNT metric type.

Allowed values:

Response

Executed successfully.
measurementslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error